Create Export

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/export
API call form
Examples

Export is a service that will either: create a PNG or PDF export of a dashboard or an individual chart, CSV of an individual chart, or create a PNG or PDF export of an ad-hoc Flex chart definition (without a saved dashboard). It can also create a Schedule that sends an e-mail regularly. So this service is an easier way to create/get/delete export schedules. These schedules can also be retrieved with the Schedule endpoint.

There are two mutually exclusive export modes: Saved Dashboard/Chart Export (using securable_id ) supports PNG, PDF, and CSV types, while Flex Chart Export (using item ) supports only PNG and PDF types.

Any dashboard viewer can create exports of dashboards and charts, or set up scheduled exports. Dashboard modifiers can modify and delete any scheduled exports for their dashboards, even if they did not create them initially.

If the schedule property is defined, you get a schedule in the response. If you execute the export directly, the response contains the export file.

Parameters
Expand all Reset
properties *OBJECTrequired
Schema

Export a saved dashboard or an individual chart from a dashboard. Supports PNG, PDF, and CSV export types. You must provide a securable_id (dashboard ID). Optionally specify a chart_id to export a single chart instead of the full dashboard.

securable_id *UUIDrequired
type STRING
chart_id UUID
locale_id STRING
screenmode STRING
dimensions OBJECT
emails ARRAY[STRING]
schedule OBJECT
filters ARRAY[OBJECT]
Can be executed by:
Dashboard Viewer
Can be associated to:
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{}